Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath.ri.compiler
Class VariableReference

    java.lang.Object
      org.apache.commons.jxpath.ri.compiler.Expression
          org.apache.commons.jxpath.ri.compiler.VariableReference

    public class VariableReference

extends Expression

An element of the compile tree holding a variable reference.

Version:
  $Revision: 652845 $ $Date: 2008-05-02 12:46:46 -0500 (Fri, 02 May 2008) $
Author:
  Dmitri Plotnikov

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.commons.jxpath.ri.compiler.Expression
`Expression.PointerIterator, Expression.ValueIterator`

Field Summary

Fields inherited from class org.apache.commons.jxpath.ri.compiler.Expression
`NOT_A_NUMBER, ONE, ZERO`

Constructor Summary
`VariableReference(QName varName)` Create a new VariableReference.

Method Summary
`Object` | `compute(EvalContext context)` Evaluates the expression.
`boolean` | `computeContextDependent()` Implemented by subclasses and result is cached by isContextDependent()
`Object` | `computeValue(EvalContext context)` Returns the value of the variable.
`QName` | `getVariableName()` Get the variable name.
`boolean` | `isContextDependent()` Returns true if this expression should be re-evaluated each time the current position in the context changes.
`String` | `toString()`

Methods inherited from class org.apache.commons.jxpath.ri.compiler.Expression
`iterate, iteratePointers`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VariableReference

    public VariableReference(QName varName)

  Create a new VariableReference.

  Parameters:
    `varName` - variable name

Method Detail

### getVariableName

    public QName getVariableName()

  Get the variable name.

  Returns:
    QName

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### isContextDependent

    public boolean isContextDependent()

  Description copied from class: `Expression`
  Returns true if this expression should be re-evaluated each time the current position in the context changes.

  Overrides:
    `isContextDependent` in class `Expression`
  Returns:
    boolean

### computeContextDependent

    public boolean computeContextDependent()

  Description copied from class: `Expression`
  Implemented by subclasses and result is cached by isContextDependent()

  Specified by:
    `computeContextDependent` in class `Expression`
  Returns:
    calculated context-dependentness as boolean

### compute

    public Object compute(EvalContext context)

  Description copied from class: `Expression`
  Evaluates the expression. If the result is a node set, returns the first element of the node set.

  Specified by:
    `compute` in class `Expression`
  Parameters:
    `context` - evaluation context
  Returns:
    Object

### computeValue

    public Object computeValue(EvalContext context)

  Returns the value of the variable.

  Specified by:
    `computeValue` in class `Expression`
  Parameters:
    `context` - EvalContext against which to compute the variable's value.
  Returns:
    Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.